<mat-toolbar color="primary">
    <mat-toolbar-row>
        <!-- User profile -->
        <app-user-profile></app-user-profile>
        <!-- Goal mock -->
        <div *ngIf="user$ | async as user" class="goal-indicator">
            <span>{{ user.personal?.goal }}</span>
            <mat-progress-bar
                class="example-margin"
                [color]="'accent'"
                [mode]="'indeterminate'"
                [value]="30">
            </mat-progress-bar>
        </div>
        <span class="example-spacer"></span>
        <!-- TODO: Search -->
        <button mat-icon-button aria-label="Search bar" matTooltip="Search something!">
            <mat-icon>search</mat-icon>
        </button>
        <!-- Change theme -->
        <button mat-icon-button [matMenuTriggerFor]="themeMenu" aria-label="Example icon-button with a menu" matTooltip="Select a theme!">
            <mat-icon>format_color_fill</mat-icon>
        </button>
        <mat-menu #themeMenu="matMenu">
            <!--             <button mat-menu-item (click)="onThemeChange('light')">LIGHT</button>
            <button mat-menu-item (click)="onThemeChange('dark')">DARK</button> -->
            <mat-grid-list cols="2">
                <mat-grid-tile class="theme-picker-menu" *ngFor="let tile of tiles" [colspan]="tile.cols"
                    [rowspan]="tile.rows" (click)="onThemeChange(tile.text)">
                    <div class="mat-menu-item" mat-menu-item="" role="menuitem" tabindex="0" aria-disabled="false">
                        <div class="theme-picker-swatch">
                            <mat-icon *ngIf="themeActived === tile.text"
                                class="theme-chosen-icon"
                                role="img" aria-hidden="true">check_circle</mat-icon>
                            <div class="theme-picker-primary" [style.background]="tile.color"></div>
                        </div>
                    </div>
                </mat-grid-tile>
            </mat-grid-list>
        </mat-menu>
        <!-- Change language -->
        <button mat-button [matMenuTriggerFor]="langMenu">{{ 'header.menu.change-language' | translate }}</button>
        <mat-menu #langMenu="matMenu">
            <button mat-menu-item (click)="onLangChange('en')">{{ 'languages.english' | translate }}</button>
            <button mat-menu-item (click)="onLangChange('es')">{{ 'languages.spanish' | translate }}</button>
        </mat-menu>
    </mat-toolbar-row>
</mat-toolbar>